Skip to main content
DELETE
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
Delete an app's feature flag
curl --request DELETE \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName} \
  --header 'Authorization: Bearer <token>'
{
  "appId": 123,
  "defaultState": "ABSENT",
  "flagName": "<string>",
  "overrideState": "ABSENT"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

appId
integer<int32>
required
flagName
string
required

Response

successful operation

appId
integer<int32>
required

The ID of the app

defaultState
enum<string>
required

The flag state for any portal that doesn't have an override value

Available options:
ABSENT,
OFF,
ON
flagName
string
required

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

Available options:
ABSENT,
OFF,
ON
Last modified on March 30, 2026